/v1/department/{id}

Update details of department for given id

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using the below method the details of an existing department can be updated

Copy
curl --request PUT \
  --url https://api.servetel.in/v1/department/id \
  --header 'accept: application/json' \
  --header 'authorization: Authorization' \
  --header 'content-type: application/json' \
  --data '{}'

Path parameters

Variable NameDescriptionData Type
id*Unique ID of the departmentString

Request variables

Variable NameDescriptionData Type
name*Name for departmentString
description*Description for departmentString
ring_strategy*Order in which calls will be received by agentsString
timeout_dest_type*when no agent answers the call, it is forwarded to this type of destinationString
timeout_destination*Unique ID of the destination where call will be the transferred when no agent in department answers the callInteger
timeout*time for which call will ring for each agentArray of strings
destination*Unique ID of agentArray of strings
music_on_holdUnique ID of music on hold to be played when caller is on holdInteger

Sample request

curl --request PUT \
  --url https://api.servetel.in/v1/department/1 \
  --header 'accept: application/json' \
  --header 'authorization: Bearer yourtokenhere' \
  --header 'content-type: application/json' \
  --data '{"name":"Test Name","description":"Test Description","ring_strategy":"simultaneous","timeout_dest_type":"extension","timeout_destination":500000000,"timeout":[20],"destination":["extension||050000000"]}'

Response variables

Variable NameDescriptionData Type
successRequest success statusBoolean
messageMessage corresponding success statusString
Path Params
string
required
Body Params
string
required

Name of the department.

string
required

Description of the department.

string
enum
required

Order in which the agents under this department will receive calls.

Allowed:
string
enum

Destination type where the call lands in case of timeout.

timeout
array of numbers

Time in seconds for which the call tries to connect for each agent in this department.

timeout
destination
array of strings

Number of the agent in the department where the call should land. Example: extension||eid, eid: agents's eid eg: 050160000

destination
Headers
string
string
string
string
required
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*